# Uses of Interface
javassist.util.proxy.MethodHandler

Packages that use MethodHandler
Package
Description
javassist.util.proxy
Dynamic proxy (similar to `Enhancer` of cglib).

## Uses of MethodHandler in javassist.util.proxy

Fields in javassist.util.proxy declared as MethodHandler
Modifier and Type
Field
Description
`static MethodHandler`
RuntimeSupport.`default_interceptor`
A method handler that only executes a method.
Methods in javassist.util.proxy that return MethodHandler
Modifier and Type
Method
Description
`static MethodHandler`
ProxyFactory.`getHandler(Proxy p)`
Obtains the method handler of the given proxy object.
`MethodHandler`
ProxyObject.`getHandler()`
Get the handler.
Methods in javassist.util.proxy with parameters of type MethodHandler
Modifier and Type
Method
Description
`Object`
ProxyFactory.`create(Class<?>[] paramTypes, Object[] args, MethodHandler mh)`
Creates a proxy class and returns an instance of that class.
`void`
Proxy.`setHandler(MethodHandler mi)`
Sets a handler.
`void`
ProxyFactory.`setHandler(MethodHandler mi)`
Deprecated.
since 3.12 use of this method is incompatible with proxy class caching.
`void`
ProxyObject.`setHandler(MethodHandler mi)`
Sets a handler.